Security Enhanced Linux Reference Policy

# Layer: services

## Module: virt

Tunables Interfaces Templates

### Description:

Libvirt virtualization API.

### Tunables:

virt_use_comm

##### Default value

false

##### Description

Determine whether confined virtual guests can use serial/parallel communication ports.

virt_use_evdev

##### Default value

false

##### Description

Determine whether confined virtual guests can use input devices via evdev pass through.

virt_use_execmem

##### Default value

false

##### Description

Determine whether confined virtual guests can use executable memory and can make their stack executable.

virt_use_fusefs

##### Default value

false

##### Description

Determine whether confined virtual guests can use fuse file systems.

virt_use_nfs

##### Default value

false

##### Description

Determine whether confined virtual guests can use nfs file systems.

virt_use_samba

##### Default value

false

##### Description

Determine whether confined virtual guests can use cifs file systems.

virt_use_sysfs

##### Default value

false

##### Description

Determine whether confined virtual guests can manage device configuration.

virt_use_usb

##### Default value

false

##### Description

Determine whether confined virtual guests can use usb devices.

virt_use_vfio

##### Default value

false

##### Description

Determine whether confined virtual guests can use vfio for pci device pass through (vt-d).

virt_use_xserver

##### Default value

false

##### Description

Determine whether confined virtual guests can interact with xserver.

Return

### Interfaces:

virt_admin( domain , role )

##### Summary

All of the rules required to administrate an virt environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

virt_append_log( domain )

##### Summary

Append virt log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_attach_tun_iface( domain )

##### Summary

Attach to virt tun devices.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_domtrans( domain )

##### Summary

Execute a domain transition to run virtd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

virt_domtrans_bridgehelper( domain )

##### Summary

Execute a domain transition to run virt bridgehelper.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

virt_domtrans_leaseshelper( domain )

##### Summary

Execute a domain transition to run virt leaseshelper.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

virt_domtrans_qmf( domain )

##### Summary

Execute a domain transition to run virt qmf.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

virt_exec_script( domain )

##### Summary

Execute virt hook scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to execute virt hook scripts.

virt_getattr_virtd_exec_files( domain )

##### Summary

Get attributes of virtd executable files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_home_filetrans( domain , private_type , object_class , name )

##### Summary

Create specified objects in generic virt home directories with private home type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private_type | Private file type.
object_class | Class of the object being created.
name | The name of the object being created.

virt_home_filetrans_svirt_home( domain , object_class , name )

##### Summary

Create specified objects in user home directories with the svirt home type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

virt_home_filetrans_virt_content( domain , object_class , name )

##### Summary

Create specified objects in user home directories with the virt content type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

virt_home_filetrans_virt_home( domain , object_class , name )

##### Summary

Create specified objects in user home directories with the generic virt home type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

virt_image( type )

##### Summary

Make the specified type virt image type.

##### Parameters

Parameter: | Description:
--- | ---
type | Type to be used as a virtual image.

virt_kill_all_virt_domains( domain )

##### Summary

Send kill signals to all virt domains.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_lxc_list_runtime( domain )

##### Summary

List the contents of virtd lxc directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_lxc_read_runtime( domain )

##### Summary

Read virtd lxc runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_lxc_rw_pipes( domain )

##### Summary

Read and write virtd lxc unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_lxc_sigchld( domain )

##### Summary

Send a SIGCHLD to virtd lxc.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_lxc_stream_connect( domain )

##### Summary

Connect to virtd lxc over a unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_lxc_use_fds( domain )

##### Summary

Inherit and use virtd lxc file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_manage_config( domain )

##### Summary

Create, read, write, and delete virt configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_manage_generic_virt_home_content( domain )

##### Summary

Create, read, write, and delete virt home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_manage_home_files( domain )

##### Summary

Create, read, write, and delete virt home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_manage_images( domain )

##### Summary

Create, read, write, and delete virt image files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_manage_lib_files( domain )

##### Summary

Create, read, write, and delete virt lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_manage_log( domain )

##### Summary

Create, read, write, and delete virt log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_manage_svirt_home_content( domain )

##### Summary

Create, read, write, and delete svirt home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_manage_virt_cache( domain )

##### Summary

Create, read, write, and delete virt cache content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_manage_virt_content( domain )

##### Summary

Create, read, write, and delete virt content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_read_config( domain )

##### Summary

Read virt configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_read_content( domain )

##### Summary

Read virt content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_read_images( domain )

##### Summary

Read virt image files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_read_lib_files( domain )

##### Summary

Read virt lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_read_log( domain )

##### Summary

Read virt log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_read_runtime_files( domain )

##### Summary

Read virt runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_relabel_generic_virt_home_content( domain )

##### Summary

Relabel virt home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_relabel_images( domain )

##### Summary

Relabel virt image.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_relabel_svirt_home_content( domain )

##### Summary

Relabel svirt home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_relabel_virt_content( domain )

##### Summary

Relabel virt content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_run_bridgehelper( domain , role )

##### Summary

Execute bridgehelper in the bridgehelper domain, and allow the specified role the bridgehelper domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

virt_run_virt_domain( domain , role )

##### Summary

Execute virt domain in the their domain, and allow the specified role that virt domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

virt_runtime_filetrans( domain , private type , object , name )

##### Summary

Create an object in the libvirt runtime directory, with a private type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private type | The type of the object to be created.
object | The object class of the object being created.
name | The name of the object being created.

virt_rw_all_image_chr_files( domain )

##### Summary

Read and write all virt image character files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_search_images( domain )

##### Summary

Search virt image directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_search_lib( domain )

##### Summary

Search virt lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_signal_all_virt_domains( domain )

##### Summary

Send generic signals to all virt domains.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_stream_connect( domain )

##### Summary

Connect to virt with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_virsh_rw_pipes( domain )

##### Summary

Read and write virsh unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_virsh_sigchld( domain )

##### Summary

Send a SIGCHLD to virsh.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_virsh_use_fds( domain )

##### Summary

Inherit and use virsh file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

virt_domain_template( domain_prefix )

##### Summary

The template to define a virt domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return